> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Recipient List Recipient

> # Description

Delete a recipient from where `recipientId` is the id of the recipient to be deleted and `recipientListId` is the id of the list that it belongs.

If the recipient is being used in a campaign if will be soft delete (isDeleted flag being set to true). If not the recipient will be deleted from database.

# Validations

- If recipient doesn't not exists it will return an error with 404 error.
- If recipient list doesn't not exists it will return an error with 404 error.

# Response

No response with 204 status.

```json
{}
```

# Description

Delete a recipient from where `recipientId` is the id of the recipient to be deleted and `recipientListId` is the id of the list that it belongs.

If the recipient is being used in a campaign if will be soft delete (isDeleted flag being set to true). If not the recipient will be deleted from database.

# Validations

* If recipient doesn't not exists it will return an error with 404 error.
* If recipient list doesn't not exists it will return an error with 404 error.

# Response

No response with 204 status.

```json theme={null}
{}
```


## OpenAPI

````yaml DELETE /campaigns-service/v1/recipientLists/{recipientListId}/recipients/{recipientId}
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /campaigns-service/v1/recipientLists/{recipientListId}/recipients/{recipientId}:
    delete:
      summary: Delete Recipient List Recipient
      description: >-
        # Description


        Delete a recipient from where `recipientId` is the id of the recipient
        to be deleted and `recipientListId` is the id of the list that it
        belongs.


        If the recipient is being used in a campaign if will be soft delete
        (isDeleted flag being set to true). If not the recipient will be deleted
        from database.


        # Validations


        - If recipient doesn't not exists it will return an error with 404
        error.

        - If recipient list doesn't not exists it will return an error with 404
        error.


        # Response


        No response with 204 status.


        ```json

        {}

        ```
      operationId: >-
        delete-recipient-list-recipient-delete-campaigns-service-v1-recipientlists-recipientlistid-recipients-recipientid
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://campaigns.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````